Skip to navigation

List devices

View as MarkdownOpen in Claude

List devices (e.g. NICs) in a simulation.

Required scope: Simulation Read (roles: Air Org Administrator, Air User)

Alternative: the Air Trainee role also grants access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Number of results to return per page.
namestringOptional
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order the results by this field. Prefix with - for descending order. Default: created.

parentstringOptionalformat: "uuid"
Only the devices plugged into this node.
searchstringOptional

Search by name.

simulationstringOptionalformat: "uuid"
Only this simulation's devices.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error